BuildRequires:  acl arts arts-devel attr autoconf automake bash bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat fam fam-devel file filesystem findutils flex fontconfig fontconfig-devel freeglut freeglut-devel gawk gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel gpm grep groff gzip info kdelibs3 kdelibs3-devel less libacl libart_lgpl libart_lgpl-devel libattr libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel libmng libmng-devel libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libxml2 libxml2-devel libxslt libxslt-devel m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools openssl openssl-devel pam patch pcre pcre-devel perl popt procps psmisc python qt3 qt3-devel rcs readline rpm sed strace tar texinfo unzip util-linux zlib zlib-devel pkgconfig

%if 0%{?suse_version} == 930 || 0%{?suse_version} == 1000
BuildRequires: update-desktop-files
%endif

%if 0%{?fedora_version} == 9
BuildRequires:	compat-gcc-34 compat-gcc-34-c++
%else
BuildRequires:	gcc gcc-c++ libgcc
%endif

%define smptag %(uname -a|awk '{print $5}')
%define cvstag 20080705
Name: kvpnc
License: GPL
Group: Productivity/Networking/System
Summary: KDE frontend for various vpn clients
Summary(de): KDE-Oberflaeche fuer verschiedene VPN-Clients
Vendor: LINUX-ADMINISTRATOR.COM
Packager: Carsten Schoene <cs@linux-administrator.com>
Version: 0.9.0_%{cvstag}
Release: 1.1
URL: http://kvpnc.org/
BuildRoot: %{_tmppath}/%{name}-%{cvstag}-build
Source0: %{name}-%{cvstag}.tar.bz2

%if 0%{?suse_version}
PreReq:         %insserv_prereq %fillup_prereq
%endif

%description -l de
KVpnc ist eine KDE-Oberflaeche fuer verschiedene VPN-Clients. Es unterstuetzt Cisco VPN (vpnc) und IPSec (FreeS/WAN, racoon).
vpnc ist eine Ersetzung fuer den Cisco VPN-Client und er wird als Client fuer den cisco3000 VPN-Konzentrator benutzt,
FreeS/WAN (OpenS/WAN) ist ein IPSec-Client fuer Linux 2.4.x und racoon ist ein IPSec-Client fuer Linux 2.6.x und *BSD.
Es unterstuetzt auch PPTP (pptpclient) und OpenVPN.

%description
KVpnc is a KDE frontend for various vpn clients. It supports Cisco VPN (vpnc) and IPSec (FreeS/WAN, racoon).
vpnc is a replacement for the cisco VPN client and its used as client for the cisco3000 VPN Concentrator, 
FreeS/WAN (OpenS/WAN) is a IPSec client for Linux 2.4.x and racoon is a IPSec client for Linux 2.6.x and *BSD.
It supports also PPTP (pptpclient) and OpenVPN.



Authors:
--------
    Christoph Thielecke <crissi99@gmx.de>

%if ! 0%{?fedora_version} >= 9
%debug_package
%endif

%prep
%setup -q -n %{name}-%{cvstag}

%build
%if 0%{?suse_version}
        . /etc/opt/kde3/common_options
        export QTDIR=%_libdir/qt3
        CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" ./configure $configkde --disable-final --libdir=$kde_libdir \
%else

%if 0%{?centos_version} == 4
        source "%{_sysconfdir}/profile.d/qt.sh"
        CFLAGS="`pkg-config --libs qt-mt`" CPPFLAGS="`pkg-config --libs qt-mt`" \
%endif
%if 0%{?fedora_version} == 9
        CC="gcc34" CXX="g++34" \
%endif
        ./configure --prefix=%{_prefix} --libdir=%{_libdir} \
%endif
%if 0%{?centos_version} == 4
        --with-xinerama \
        --with-extra-libs=%{_libdir} \
%endif
        --disable-rpath

if [ %{smptag} = SMP ]; then
        %{__make} -j2
else
        %{__make}
fi

%install
iconv -f iso8859-1 -t utf-8 src/kvpnc.desktop > w && mv w src/kvpnc.desktop
make DESTDIR=$RPM_BUILD_ROOT install-strip
rm -rf $RPM_BUILD_ROOT/opt/kde3/share/doc/HTML/kvpnc
%if 0%{?suse_version}
	%suse_update_desktop_file %name System Network
%endif
%find_lang %name


cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf ../file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Thu Jan 24 2008 Carsten Schoene <cs@linux-administrator.com>
- updated for builds greater version 0.9.0

* Fri Jun 15 2007 Carsten Schoene <cs@linux-administrator.com>
- updated for builds greater version 0.8.9

* Tue Feb 13 2007 Carsten Schoene <cs@linux-administrator.com>
- updated for builds greater version 0.8.8

* Sun Nov 26 2006 Carsten Schoene <cs@linux-administrator.com>
- created cvs build

* Fri Sep 29 2006 Carsten Schoene <cs@linux-administrator.com>
- build of bugfix release 0.8.6.1 for SuSE 10.0

* Mon Sep 25 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to release 0.8.6

* Fri May 19 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to bugfix release 0.8.5.1

* Thu May 18 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to final 0.8.5

* Sat Apr 08 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to final 0.8.4

* Sun Mar 05 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to final 0.8.3

* Tue Feb 21 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to 0.8.3-rc5 (test-build) 

* Mon Dec 26 2005 Carsten Schoene <cs@linux-administrator.com>
- version bump to 0.8.2.1

* Sat Dec 24 2005 Carsten Schoene <cs@linux-administrator.com>
- version bump to 0.8.2 , requirement of libcrypto++ is replaced with libgcrypt

* Mon Oct 24 2005 Carsten Schoene <cs@linux-administrator.com>
- first working build for SuSE 10.0, needs libcrypto++

* Fri Oct 07 2005 Carsten Schoene <cs@linux-administrator.com>
- rebuild for SuSE 10.0

